package javax.xml.transform;

public abstract class TransformerFactory {
  public static TransformerFactory newInstance() throws TransformerFactoryConfigurationError {
    try {
      return (TransformerFactory)FactoryFinder.find("javax.xml.transform.TransformerFactory", "org.apache.xalan.processor.TransformerFactoryImpl");
    } catch (ConfigurationError configurationError) {
      throw new TransformerFactoryConfigurationError(configurationError.getException(), configurationError.getMessage());
    } 
  }
  
  public abstract Transformer newTransformer(Source paramSource) throws TransformerConfigurationException;
  
  public abstract Transformer newTransformer() throws TransformerConfigurationException;
  
  public abstract Templates newTemplates(Source paramSource) throws TransformerConfigurationException;
  
  public abstract Source getAssociatedStylesheet(Source paramSource, String paramString1, String paramString2, String paramString3) throws TransformerConfigurationException;
  
  public abstract void setURIResolver(URIResolver paramURIResolver);
  
  public abstract URIResolver getURIResolver();
  
  public abstract void setFeature(String paramString, boolean paramBoolean) throws TransformerConfigurationException;
  
  public abstract boolean getFeature(String paramString);
  
  public abstract void setAttribute(String paramString, Object paramObject);
  
  public abstract Object getAttribute(String paramString);
  
  public abstract void setErrorListener(ErrorListener paramErrorListener);
  
  public abstract ErrorListener getErrorListener();
}


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\xml-apis.jar!\javax\xml\transform\TransformerFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.0.7
 */