package javax.xml.transform.stream;

import java.io.File;
import java.io.OutputStream;
import java.io.Writer;
import java.lang.reflect.Method;
import java.net.MalformedURLException;
import javax.xml.transform.Result;

public class StreamResult implements Result {
  public static final String FEATURE = "http://javax.xml.transform.stream.StreamResult/feature";
  
  private String systemId;
  
  private OutputStream outputStream;
  
  private Writer writer;
  
  public StreamResult() {}
  
  public StreamResult(OutputStream paramOutputStream) { setOutputStream(paramOutputStream); }
  
  public StreamResult(Writer paramWriter) { setWriter(paramWriter); }
  
  public StreamResult(String paramString) { this.systemId = paramString; }
  
  public StreamResult(File paramFile) { setSystemId(paramFile); }
  
  public void setOutputStream(OutputStream paramOutputStream) { this.outputStream = paramOutputStream; }
  
  public OutputStream getOutputStream() { return this.outputStream; }
  
  public void setWriter(Writer paramWriter) { this.writer = paramWriter; }
  
  public Writer getWriter() { return this.writer; }
  
  public void setSystemId(String paramString) { this.systemId = paramString; }
  
  public void setSystemId(File paramFile) {
    try {
      Method method1 = paramFile.getClass().getMethod("toURI", (Class[])null);
      Object object = method1.invoke(paramFile, (Object[])null);
      Method method2 = object.getClass().getMethod("toString", (Class[])null);
      this.systemId = (String)method2.invoke(object, (Object[])null);
    } catch (Exception exception) {
      try {
        this.systemId = paramFile.toURL().toString();
      } catch (MalformedURLException malformedURLException) {
        this.systemId = null;
        throw new RuntimeException("javax.xml.transform.stream.StreamResult#setSystemId(File f) with MalformedURLException: " + malformedURLException.toString());
      } 
    } 
  }
  
  public String getSystemId() { return this.systemId; }
}


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\xml-apis.jar!\javax\xml\transform\stream\StreamResult.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.0.7
 */