package javax.xml.xpath;

public abstract class XPathFactory {
  public static final String DEFAULT_PROPERTY_NAME = "javax.xml.xpath.XPathFactory";
  
  public static final String DEFAULT_OBJECT_MODEL_URI = "http://java.sun.com/jaxp/xpath/dom";
  
  public static final XPathFactory newInstance() {
    try {
      return newInstance("http://java.sun.com/jaxp/xpath/dom");
    } catch (XPathFactoryConfigurationException xPathFactoryConfigurationException) {
      throw new RuntimeException("XPathFactory#newInstance() failed to create an XPathFactory for the default object model: http://java.sun.com/jaxp/xpath/dom with the XPathFactoryConfigurationException: " + xPathFactoryConfigurationException.toString());
    } 
  }
  
  public static final XPathFactory newInstance(String paramString) throws XPathFactoryConfigurationException {
    if (paramString == null)
      throw new NullPointerException("XPathFactory#newInstance(String uri) cannot be called with uri == null"); 
    if (paramString.length() == 0)
      throw new IllegalArgumentException("XPathFactory#newInstance(String uri) cannot be called with uri == \"\""); 
    ClassLoader classLoader = SecuritySupport.getContextClassLoader();
    if (classLoader == null)
      classLoader = XPathFactory.class.getClassLoader(); 
    XPathFactory xPathFactory = (new XPathFactoryFinder(classLoader)).newFactory(paramString);
    if (xPathFactory == null)
      throw new XPathFactoryConfigurationException("No XPathFctory implementation found for the object model: " + paramString); 
    return xPathFactory;
  }
  
  public abstract boolean isObjectModelSupported(String paramString);
  
  public abstract void setFeature(String paramString, boolean paramBoolean) throws XPathFactoryConfigurationException;
  
  public abstract boolean getFeature(String paramString);
  
  public abstract void setXPathVariableResolver(XPathVariableResolver paramXPathVariableResolver);
  
  public abstract void setXPathFunctionResolver(XPathFunctionResolver paramXPathFunctionResolver);
  
  public abstract XPath newXPath();
}


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\xml-apis.jar!\javax\xml\xpath\XPathFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.0.7
 */