package org.xml.sax.helpers;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;

public final class XMLReaderFactory {
  private static final String property = "org.xml.sax.driver";
  
  private static final int DEFAULT_LINE_LENGTH = 80;
  
  public static XMLReader createXMLReader() throws SAXException {
    String str = null;
    SecuritySupport securitySupport = SecuritySupport.getInstance();
    ClassLoader classLoader = NewInstance.getClassLoader();
    try {
      str = securitySupport.getSystemProperty("org.xml.sax.driver");
    } catch (Exception exception) {}
    if (str == null) {
      String str1 = "META-INF/services/org.xml.sax.driver";
      InputStream inputStream = null;
      ClassLoader classLoader1 = securitySupport.getContextClassLoader();
      if (classLoader1 != null) {
        inputStream = securitySupport.getResourceAsStream(classLoader1, str1);
        if (inputStream == null) {
          classLoader1 = XMLReaderFactory.class.getClassLoader();
          inputStream = securitySupport.getResourceAsStream(classLoader1, str1);
        } 
      } else {
        classLoader1 = XMLReaderFactory.class.getClassLoader();
        inputStream = securitySupport.getResourceAsStream(classLoader1, str1);
      } 
      if (inputStream != null) {
        try {
          bufferedReader = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"), 80);
        } catch (UnsupportedEncodingException unsupportedEncodingException) {
          bufferedReader = new BufferedReader(new InputStreamReader(inputStream), 80);
        } 
        try {
          str = bufferedReader.readLine();
        } catch (Exception exception) {
          try {
            bufferedReader.close();
          } catch (IOException exception) {}
        } finally {
          try {
            bufferedReader.close();
          } catch (IOException iOException) {}
        } 
      } 
    } 
    if (str == null)
      str = "org.apache.xerces.parsers.SAXParser"; 
    if (str != null)
      return loadClass(classLoader, str); 
    try {
      return new ParserAdapter(ParserFactory.makeParser());
    } catch (Exception exception) {
      throw new SAXException("Can't create default XMLReader; is system property org.xml.sax.driver set?");
    } 
  }
  
  public static XMLReader createXMLReader(String paramString) throws SAXException { return loadClass(NewInstance.getClassLoader(), paramString); }
  
  private static XMLReader loadClass(ClassLoader paramClassLoader, String paramString) throws SAXException {
    try {
      return (XMLReader)NewInstance.newInstance(paramClassLoader, paramString);
    } catch (ClassNotFoundException classNotFoundException) {
      throw new SAXException("SAX2 driver class " + paramString + " not found", classNotFoundException);
    } catch (IllegalAccessException illegalAccessException) {
      throw new SAXException("SAX2 driver class " + paramString + " found but cannot be loaded", illegalAccessException);
    } catch (InstantiationException instantiationException) {
      throw new SAXException("SAX2 driver class " + paramString + " loaded but cannot be instantiated (no empty public constructor?)", instantiationException);
    } catch (ClassCastException classCastException) {
      throw new SAXException("SAX2 driver class " + paramString + " does not implement XMLReader", classCastException);
    } 
  }
}


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\xml-apis.jar!\org\xml\sax\helpers\XMLReaderFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.0.7
 */